#ifndef STEAMGS_H_
#define STEAMGS_H_

var initSteam();
var getPlayerName(STRING* _targetString);
void shutdownSteam();
void runSteamCallbacks();

void requestStats();
var statsReceived();
var unlockAchievement(STRING* _achivement); // 1=achievement stored succesfully, 0=no success

void findLeaderboard(STRING* _leaderboardName);
void uploadScore(var score);
var downloadScoresAroundUser(var rangeMin, var rangeMax);
var downloadScoresGlobal(var rangeFrom, var rangeTo);
var downloadScoresFriends();
var getLeaderboardItem_AccountID(var index);
var getLeaderboardItem_Score(var index);
var getLeaderboardItem_Rank(var index);
var getLeaderboardItem_Name(var index, STRING* _targetString);
var isLeaderboardReady();
var isScoresReady();

#endif